function sepet(){

  $.ajax({
      url: "post.php",
      type: "post",
      data: 'islem=listele',
      success: function (x) {
        $('#sepet').html(x);
      }
  });

}

$(function(){

  var objowlcarousel = $(".urun-slider");
  if (objowlcarousel.length > 0) {
      objowlcarousel.owlCarousel({
          items: 6,
          lazyLoad: true,
          pagination: false,
          loop: true,
          margin: 15,
          autoPlay: 222000,
          navigation: true,
          stopOnHover: true,
          navigationText: ['<i class="glyphicon glyphicon-chevron-left"></i>', '<i class="glyphicon glyphicon-chevron-right"></i>'],
          itemsMobile : [799,2],
      });
  }

  var objowlcarousel = $(".blog-haber");
  if (objowlcarousel.length > 0) {
      objowlcarousel.owlCarousel({
          items: 6,
          lazyLoad: true,
          pagination: false,
          loop: true,
          margin: 15,
          autoPlay: 222000,
          navigation: true,
          stopOnHover: true,
          navigationText: ['<i class="glyphicon glyphicon-chevron-left"></i>', '<i class="glyphicon glyphicon-chevron-right"></i>'],
      });
  }

  var sync1 = $("#banner");
  var sync2 = $("#banner_kucuk");
  sync1.owlCarousel({
      singleItem: true,
      items: 1,
      slideSpeed: 1000,
      pagination: false,
      navigation: true,
      autoPlay: 4500,
      dots: false,
      nav: true,
      navigationText: ['<i class="glyphicon glyphicon-chevron-left"></i>', '<i class="glyphicon glyphicon-chevron-right"></i>'],
      afterAction: syncPosition,
      responsiveRefreshRate: 200,
  });
  sync2.owlCarousel({
      items: 12,
      navigation: true,
      dots: false,
      pagination: false,
      nav: true,
      navigationText: ['<i class="glyphicon glyphicon-chevron-left"></i>', '<i class="glyphicon glyphicon-chevron-right"></i>'],
      responsiveRefreshRate: 100,
      afterInit: function(el) {
          el.find(".owl-item").eq(0).addClass("synced");
      }
  });

  function syncPosition(el) {
      var current = this.currentItem;
      sync2
          .find(".owl-item")
          .removeClass("synced")
          .eq(current)
          .addClass("synced")
      if (sync2.data("owlCarousel") !== undefined) {
          center(current)
      }
  }
  sync2.on("click", ".owl-item", function(e) {
      e.preventDefault();
      var number = $(this).data("owlItem");
      sync1.trigger("owl.goTo", number);
  });

  function center(number) {
      var sync2visible = sync2.data("owlCarousel").owl.visibleItems;
      var num = number;
      var found = false;
      for (var i in sync2visible) {
          if (num === sync2visible[i]) {
              var found = true;
          }
      }
      if (found === false) {
          if (num > sync2visible[sync2visible.length - 1]) {
              sync2.trigger("owl.goTo", num - sync2visible.length + 2)
          } else {
              if (num - 1 === -1) {
                  num = 0;
              }
              sync2.trigger("owl.goTo", num);
          }
      } else if (num === sync2visible[sync2visible.length - 1]) {
          sync2.trigger("owl.goTo", sync2visible[1])
      } else if (num === sync2visible[0]) {
          sync2.trigger("owl.goTo", num - 1)
      }


      $('#banner-dis').css('background',$('#banner .item:eq('+num+')').attr('data-renk'));

  }

    var item = 10;
    if($(window).width() < 900){
      item = 4;
    }

    $(".ana_menu").slick({
      dots: false,
      infinite: true,
      slidesToShow: item,
      slidesToScroll: 3
    });
    $(".hikaye").slick({
      dots: false,
      infinite: true,
      slidesToShow: item,
      slidesToScroll: 3
    });


  sepet();

  $('.sepetim').click(function(){
      $('#saydam_bg').fadeIn(500);
      $('#sepet').fadeIn(500);
  });

  $(document).on('click','[data-sepet-sayfada-sil]',function(){
    $.ajax({
          url: "post.php",
          type: "post",
          data: 'islem=sepet_sil&id='+$(this).attr('data-sepet-sayfada-sil'),
          success: function (x) {
            window.location.reload()
          }
      });
  });

  $(document).on('click','[data-sepet-sil]',function(){
    $.ajax({
          url: "post.php",
          type: "post",
          data: 'islem=sepet_sil&id='+$(this).attr('data-sepet-sil'),
          success: function (x) {
            sepet();
          }
      });
  });

  $(document).on('click','#saydam_bg, [data-sepet-kapat=""]',function(){
    $('#saydam_bg').fadeOut(500);
    $('#sepet').fadeOut(500);
  });


  $('[data-stok]').click(function(){
      $('[data-stok]').removeClass('aktif');
      $(this).addClass('aktif');

      $('#asil_fiyat').html((parseInt($('[data-asilfiyat]').attr('data-asilfiyat')) + parseInt($(this).attr('data-fiyat'))) + ' TL');
  });

  $('#ekle').click(function(){
          
        $('#sepet_durum').removeClass().html('');
        var devam = 0;
        var secenek_id = 0;

        if(parseInt($('[name="adet"]').val()) < 1){
          $('#sepet_durum').addClass('hata').html('Lütfen geçerli bir adet giriniz.');
        }else{
            if($('.varyant li').length){
              if($('.varyant li div').hasClass('aktif')){
                if(parseInt($('[name="adet"]').val()) <= parseInt($('[data-stok].aktif').attr('data-stok'))){
                  secenek_id =  $('[data-stok].aktif').attr('data-secenek-id');
                  devam = 1;
                }else{
                  $('#sepet_durum').addClass('hata').html('Bu Seçenekten En Fazla '+ $('[data-stok].aktif').attr('data-stok') +' Adet Alabilirsiniz.');
                }
              }else{
                $('#sepet_durum').addClass('hata').html('Lütfen bir seçenek seçiniz.');
              }
            }else{
              devam = 1;
            }
        }

      if(devam == 1){
          $.ajax({
              url: "post.php",
              type: "post",
              data: 'islem=ekle&urun_id='+parseInt($(this).attr('data-id'))+'&adet='+parseInt($('[name="adet"]').val())+'&secenek_id='+secenek_id,
              success: function (x) {
                  if(x == 0){
                    $('#sepet_durum').addClass('hata').html('Yeterli stok bulunamadı.');
                  }else if(x == 1){
                    $('#sepet_durum').addClass('hata').html('Geçersiz istek.');
                  }else{
                    $('#sepet_durum').addClass('basari').html('Ürün başarı ile sepete eklendi.');
                    sepet();
                    $('#saydam_bg').fadeIn(500);
                    $('#sepet').fadeIn(500);
                  }
              }
          });
      }

    });



    $('.arttir').click(function(){
        var adet = parseInt($('#adet').val());
        $('#adet').val(adet + 1);
    });

    $('.azalt').click(function(){
        var adet = parseInt($('#adet').val());
        if(adet > 1){
          $('#adet').val(adet - 1);
        }
    });

    var $tabButtonItem = $('#tab-button li'),
    $tabSelect = $('#tab-select'),
    $tabContents = $('.tab-contents'),
    activeClass = 'is-active';

    $tabButtonItem.first().addClass(activeClass);
    $tabContents.not(':first').hide();

    $tabButtonItem.find('a').on('click', function(e) {
      var target = $(this).attr('href');

      $tabButtonItem.removeClass(activeClass);
      $(this).parent().addClass(activeClass);
      $tabSelect.val(target);
      $tabContents.hide();
      $(target).show();
      e.preventDefault();
    });

    $tabSelect.on('change', function() {
      var target = $(this).val(),targetSelectNum = $(this).prop('selectedIndex');

      $tabButtonItem.removeClass(activeClass);
      $tabButtonItem.eq(targetSelectNum).addClass(activeClass);
      $tabContents.hide();
      $(target).show();
    });


    $('.hikaye div a').click(function(){
        if($(this).attr('data-buyuk-img') == ''){
            window.location.href = $(this).attr('data-link');
        }else{

            $('#hikaye-popup #icerik').html('<a href="'+$(this).attr('data-link')+'"><img src="upload/'+$(this).attr('data-buyuk-img')+'" class="img-responsive"></a>');
            $('#hikaye-popup').modal('show');

            $('#saniye').animate({
              width: '100%'
            }, 5000, function() {
              $('#hikaye-popup').modal('hide');
              $('#saniye').css('width','0px');
            });

        }
    });

    $('#al').click(function(){
        $('#sepet_durum').removeClass().html('');
        var devam = 0;
        var secenek_id = 0;

        if(parseInt($('[name="adet"]').val()) < 1){
          $('#sepet_durum').addClass('hata').html('Lütfen geçerli bir adet giriniz.');
        }else{
            if($('.varyant li').length){
              if($('.varyant li div').hasClass('aktif')){
                if(parseInt($('[name="adet"]').val()) <= parseInt($('[data-stok].aktif').attr('data-stok'))){
                  secenek_id =  $('[data-stok].aktif').attr('data-secenek-id');
                  devam = 1;
                }else{
                  $('#sepet_durum').addClass('hata').html('Bu Seçenekten En Fazla '+ $('[data-stok].aktif').attr('data-stok') +' Adet Alabilirsiniz.');
                }
              }else{
                $('#sepet_durum').addClass('hata').html('Lütfen bir seçenek seçiniz.');
              }
            }else{
              devam = 1;
            }
        }

      if(devam == 1){
          $.ajax({
              url: "post.php",
              type: "post",
              data: 'islem=ekle&urun_id='+parseInt($(this).attr('data-id'))+'&adet='+parseInt($('[name="adet"]').val())+'&secenek_id='+secenek_id,
              success: function (x) {
                  if(x == 0){
                    $('#sepet_durum').addClass('hata').html('Yeterli stok bulunamadı.');
                  }else if(x == 1){
                    $('#sepet_durum').addClass('hata').html('Geçersiz istek.');
                  }else{
                    $('#sepet_durum').addClass('basari').html('Ürün başarı ile sepete eklendi.');
                    sepet();
                    $('#saydam_bg').fadeIn(500);
                    $('#sepet').fadeIn(500);
					
						window.location.href='sepetim';
                  }
              }
          });
      }

    });
});